Skip to main content
GET
/
v0
/
business
/
{business_id}
/
invoice
/
{invoice_id}
Retrieve an Invoice
curl --request GET \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/invoice/{invoice_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.getasset.com/v0/business/{business_id}/invoice/{invoice_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/invoice/{invoice_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "business_id": "<string>",
    "number": "<string>",
    "description": "<string>",
    "total_amount": 123,
    "due_at": "2023-11-07T05:31:56Z",
    "sent_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "customer_id": "<string>",
    "total_paid": 0,
    "voided_at": "2023-11-07T05:31:56Z",
    "metadata": {},
    "lines": [
      {
        "description": "<string>",
        "ledger_id": "ldg_ErisumsAc7qgmbTctM7zKK",
        "amount": 123,
        "id": "<string>",
        "invoice_id": "<string>",
        "metadata": {}
      }
    ],
    "payments": [
      {
        "invoice_id": "<string>",
        "payment_id": "<string>",
        "datetime": "2023-11-07T05:31:56Z",
        "payment_amount": 123,
        "id": "<string>",
        "transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
        "credit_journal_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "credit_memo_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "invoice": "<unknown>",
        "is_write_off": false
      }
    ],
    "tags": {
      "Job": [
        {
          "amount": "3000.00",
          "value": "Maple Street Remodel"
        },
        {
          "amount": "1500.00",
          "value": "Downtown Office Rewire"
        }
      ]
    }
  }
}
{
  "error": "<string>",
  "data": "<unknown>"
}
{
  "error": "<string>",
  "data": "<unknown>"
}
{
  "error": "<string>",
  "data": "<unknown>"
}
{
  "error": "<string>",
  "data": "<unknown>"
}
{
  "error": "<string>",
  "data": "<unknown>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

invoice_id
string<inv_string>
required

The id of the invoice

Example:

"inv_WQMDNUHpBThYSNh4AprDBo"

Response

Successful Response

data
InvoicePublic · object
required